<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Загс';
include_once '../sys/inc/thead.php';
title();



if (isset ($user) && isset($_POST['save']))
{
if (isset($_POST['svadba'])){$svad = intval($_POST['svadba']);}
$zinat = mysql_query ("SELECT * FROM zags WHERE id_user='$user[id]'");
$row = mysql_fetch_array($zinat);

$zinat1 = mysql_query ("SELECT * FROM zags WHERE id_know='$svad'");
$row1 = mysql_fetch_array($zinat1);

$zinat2 = mysql_query ("SELECT * FROM zags WHERE id_user='$svad'");
$row2 = mysql_fetch_array($zinat2);


if (isset ($user) && $row['zinat'] == 'da' or $row['id_user'] > 0)
{
$err[]="У вас уже есть пара";
err();	
}
elseif ($row1['id_know'] > 0 or $row2['id_user'] > 0)
{
$err[]="Этот человек занят";
err();	
}
else
{
mysql_query("INSERT INTO `zags` (`id_user`, `na_kom`) values('$user[id]', '$svad')");
mysql_query("UPDATE `user` SET `brak` = 'Свадьба' WHERE `id` = '$user[id]'");
$massage = 'Вам сделали предложение, пройдите в свою [url=info.php?id=$svad]анкету[/url] чтобы прниять или откланить предложение )))';
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$svad', '$massage','$time')");
msg ('Вы сделали предложение, ожидайте ответа )))');
}
}





if (isset ($user) && isset($_GET['act']) && $_GET['act'] == 'svad')
{

/////////////////////
if ($user['pol'] == 0)
{
$para = mysql_query ("SELECT * FROM user WHERE pol='1' ORDER BY nick");	
}
if ($user['pol'] == 1)
{
$para = mysql_query ("SELECT * FROM user WHERE pol='0' LIKE '%$letter%' ORDER BY nick");	
}
$mas = mysql_fetch_array($para);
////////////////////

echo "<div class='menu_razd'>";
echo "Здравствуйте $user[nick] мы рады видеть вас в нашем загсе <br />\n";
echo "<form method='post' action='?$passgen'>\n";
echo "На ком женитесь? )))<br />\n";
if (mysql_num_rows($para) > 50){echo "<select name='svadba' size='5'><br />\n";}
else{echo "<select name='svadba'><br />\n";	}
do
{
echo $mas['nick'];	
echo "<option value='$mas[id]'>$mas[nick]</option>\n";
}	
while ($mas = mysql_fetch_array($para));
echo "</select><br />\n";
echo "<a href='poid.php'>Ввести id пользователя</a><br /><br />";
echo "<input name='save' type='submit' value='выбрать' /><br />\n";
echo "</form><br />\n";
}
echo "</div>";





if (isset ($user) && isset($_GET['act']) && $_GET['act'] == 'razvod')
{

$zinat12 = mysql_query ("SELECT * FROM zags WHERE id_user='$user[id]'");
$row12 = mysql_fetch_array($zinat12);
$zinat1 = mysql_query ("SELECT * FROM zags WHERE id_know='$user[id]'");
$row1 = mysql_fetch_array($zinat1);

if ($row12['id_user'] == $user['id'] or $row1['id_know'] == $user['id'])
{
if ($_GET['on'] == 'da')
{	
mysql_query("UPDATE `user` SET `brak` = '' WHERE `id` = '$row1[id_user]'");
mysql_query("UPDATE `user` SET `brak` = '' WHERE `id` = '$row1[id_know]'");
mysql_query("DELETE FROM `zags` WHERE `id_user` = '$user[id]' OR `id_know` = '$user[id]'");
msg ('Вы успешно расторгли брак');
echo "<div class='foot'>";
echo"<a href='../zags'>Вернутся обратно</a>";
echo "</div>";
include_once '../sys/inc/tfoot.php';
exit();
}
}
else {
$err[] = "Произошла ошибка попробуйте еще раз или обратитесь к администратору";
err();
}

echo "Вы действительно хотите расторгнуть ваш брак?<br />";

echo"<a href='?act=razvod&amp;on=da'>Да</a> | ";
echo"<a href='../zags'>Нет</a><br /><br />";
}


if (!isset($_GET['act']))
{
echo "<div class='menu_razd'>";
echo "Здравствуйте <b>$user[nick]</b> мы рады вашему визиту в наш загс <br />";
echo "Ищите пару или вы тут по разводу?";
echo "</div>";	
}

echo "<div class='gmenu'>";
echo"<img src='img/1.png' alt='' /> <a href='?act=svad'>Поженится</a><br />";
echo "</div>";
echo "<div class='gmenu'>";
echo"<img src='img/2.png' alt='' /> <a href='?act=razvod'>Развестись</a><br />";
echo "</div>";

$man = mysql_result(mysql_query("SELECT COUNT(*) FROM user WHERE pol='1'"), 0);
$girl = mysql_result(mysql_query("SELECT COUNT(*) FROM user WHERE pol='0'"), 0);

echo "<div class='menu_razd'>";
echo"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='img/man.png' alt='' /> Парней $man<br />";
echo"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='img/girl.png' alt='' /> Девушек $girl<br />";
echo "</div>";
echo "<div class='gmenu'>";
echo"<img src='img/love.png' alt='' /> <a href='new_svadb.php'>Недавние свадьбы</a>";
echo "</div>";

include_once '../sys/inc/tfoot.php';
?>
